CoCoA-5 - Design #534

Remove float.cpkg5
10 Apr 2014 00:44 - John Abbott

Status: Closed Start date: 10 Apr 2014
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Cleaning Estimated time: 5.00 hours
Target version: CoCoA-5.1.0 Easter14 Spent time: 6.00 hours
Description

All the fns which were exported by float.cpkg5 are now in CoCoALib.

Remove float.cpkg5?

Related issues:

Related to CoCoALib - Feature #533: Convert Biglnt/BigRat to string Closed 10 Apr 2014
Related to CoCoA-5 - Feature #419: FloatStr Closed 06 Jan 2014
History

#1 - 10 Apr 2014 00:47 - John Abbott

- Status changed from New to In Progress
- Assignee set to John Abbott

- % Done changed from 0 to 30

- Estimated time set to 5.00 h

It seems to be mostly impl'ed (in file decimal.C); not documented though!
There is disagreement about what DecimalStr should do precisely.
| have implemented FixedStr (temporary name!) to mimic DecimalStr as it was defined in float.cpkg5.

Decide exactly which fns we want (with exact semantics); implement cleanly,
and document!

#2 - 11 Apr 2014 16:02 - John Abbott
- Status changed from In Progress to Feedback

- % Done changed from 30 to 90

DecimalStr etc now implemented in CoCoALib.

| note that the package contains two non exported fns: Atan and Pi.
Do we want to keep these?

20140424 | see no point in keeping Atan and Pi.

#3 - 16 Apr 2014 08:50 - Anna Maria Bigatti
- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.0 Easter14

#4 - 16 Apr 2014 12:34 - Anna Maria Bigatti

[I've already written this in #419]

| tested the new DecimalStr: I'd prefer 3 digits after "." by default (instead of 4).

| find it more natural to group digits in 3.

#5 - 24 Apr 2014 19:09 - John Abbott
- Status changed from Feedback to Closed
- % Done changed from 90 to 100

| have now removed float.cpkg5.
Everything seems to work just fine.
Checked/updated doc too.
